
Redmine - Feature #851
Status: Closed Start date: 2008-03-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Sometimes it would be good to make wiki pages locked so that only certain people can edit them.  This could be high-profile home

pages, download pages, etc.

Probably it would be good to have a new permission "can lock or unlock wiki pages" or some such thing, so that we can define which

roles can edit these loccked pages, or mark pages locked or unlocked.

Related issues:

Related to Redmine - Patch #1146: Patch for protecting wiki pages (#851) Closed 2008-04-29

Associated revisions

Revision 1415 - 2008-05-04 17:05 - Jean-Philippe Lang

Wiki page protection (#851, patch #1146 by Mateo Murphy with slight changes).

New permission added: protect wiki pages. Once a page is protected, it can be edited/renamed/deleted only by users who have this permission.

History

#1 - 2008-03-14 18:00 - Jean-Philippe Lang

I agree. A new permission 'Protect wiki pages' would be added.

Users with this permission would be able to:

protect/unprotect wiki pages

edit protected pages (so that people don't have to unprotect, edit then re-protect a page if they have to make a change)

Users with only 'edit wiki pages' permission wouldn't be able to edit protected pages.

#2 - 2008-03-14 19:42 - Jean-Philippe Lang

- Target version set to 0.8

#3 - 2008-03-17 22:45 - Mateo Murphy

- File 851.diff added

Here is a patch implementing this feature, along with some functional tests. Currently, protecting the page only affects the edit permission, it doesn't

touch the delete or rename permissions; let me know if it should work differently.

#4 - 2008-05-04 17:08 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Resolution set to Fixed

Done in r1415. See #1146.

Files

851.diff 8.17 KB 2008-03-17 Mateo Murphy

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/1415
https://www.redmine.org/issues/1146
http://www.tcpdf.org

